﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" MadCap:onlyLocalStylesheets="False">
    <head><title>Setting up IGA Identity Repository</title>
        <link href="../../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1><a name="top"></a>Setting up IGA Identity Repository</h1>
        <h2 id="SaviyntIdentityRepositorySetup-IdentityRepositoryOverview">Identity Repository Overview</h2>
        <p>Identity Management is a framework of policies followed for ensuring that 'right people' have access to the 'right system'. Identity management is also known as Identity and Access Management (IAM).&#160;To set up your identity&#160;repository, you first need to create a security system and an endpoint or a representation of your application. Once you create a&#160;security system and an endpoint, you need to create a connection for the respective application. After creating a connection, update the security system with the connection name to be used for reconciliation and provisioning. You can use different connections for reconciliation and provisioning. This helps you to set up the basic objects for your Identity Repository.</p>
        <p>Once you have defined the security system, endpoint, and connection details, you can start importing users to Saviynt Identity Governance and Administration (IGA) from the respective HR authoritative applications such as HRMS, PeopleSoft, Lawson, Okta, Workday, or any other application. After importing users, you need to import accounts and entitlements (access) from the respective third-party on-premises application or cloud application.</p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">IGA supports UTF-8 characters for all imports and there is no limitation to the usage of international characters.</p>
        </div>
        <h2 id="SaviyntIdentityRepositorySetup-SaviyntIdentityRepository">Saviynt Identity Repository</h2>
        <p>The following list provides the high-level identity repository-related objects in IGA:</p>
        <ul>
            <li>
                <p><strong>Identity Repository: </strong>is the foundation on which IGA offers next-generation Identity Governance and Administration capabilities. This section provides details of all user, account, and entitlement administration.</p>
            </li>
            <li>
                <p><strong>User: </strong>is the unique identity of a person managed by IGA. Each person has only one user entry in IGA. Also, each user can be uniquely identified using a property such as a username, employee ID, or email. This user can access IGA to view access, manage access, and perform administrative tasks based on the role granted within IGA.</p>
            </li>
            <li>
                <p><strong>Accounts: </strong>are associated with&#160;users and provide users with access to managed applications or security systems within IGA. Typically, users have one account per application/system, but depending on the type of account (service, administration, secondary) there could be more than one account associated with a user.</p>
            </li>
            <li>
                <p><strong>Entitlements: </strong>refer to any type of access associated with the managed system or application, such as groups, roles, permissions, or responsibilities. Entitlements are associated with accounts, which in turn are associated with users in order to provide a comprehensive view of access. IGA supports a hierarchical entitlement model and supports multiple levels of access within the system or application.</p>
            </li>
            <li>
                <p><strong>Security System: </strong>is used to establish a connection between IGA and the target system. It leverages the connection to bring account, access, and usage information (where applicable) to IGA.</p>
            </li>
            <li>
                <p><strong>Endpoints: </strong>are instances of the target system under management, for example, a Unix server, database instance or production/test instances of an application.</p>
            </li>
        </ul>
        <p>The following diagram shows the relationship between different objects within IGA. These entities provide the ability to build Identity Repository and manage the access lifecycle of users. The data from these objects can be retrieved or updated from the IGA user interface as well as the REST API provided with the product.</p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">For more information about Saviynt REST API documentation, see <a href="https://documenter.getpostman.com/view/1797923/RWaLwo21?version=latest#intro" class="external-link" rel="nofollow">Identity Governance and Administration API Reference</a>.&#160;</p>
        </div>
        <p>
            <img src="../../Resources/Images/Relationship between EIC.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;width: 1200px;height: 1000px;" />
        </p>
        <p>Figure: Relationship between IGA Objects at a High Level</p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">For more information about the relationships between different objects within Saviynt Identity Repository, see&#160;<MadCap:conditionalText MadCap:conditions="Default.Link"><a href="Saviynt-Enterprise-Identity-Cloud-Schema-Guide.htm" pubname="EIC-DB-Schema-Reference" class="peer">EIC Database Schema Reference Guide</a></MadCap:conditionalText>.</p>
        </div>
    </body>
</html>